#
# spec file for package abook
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           abook
Version:        0.6.1
Release:        3.21
Summary:        Text-based addressbook program
License:        GPL-2.0-or-later
Group:          Productivity/Other
URL:            http://abook.sourceforge.net/
Source0:        http://abook.sourceforge.net/devel/%{name}-%{version}.tar.gz
Source1:        http://abook.sourceforge.net/devel/%{name}-%{version}.tar.gz.asc
Source2:        %{name}.keyring
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  coreutils
BuildRequires:  gettext
BuildRequires:  ncurses-devel
BuildRequires:  readline-devel
Recommends:     %{name}-lang

%description
Abook is a text-based addressbook program designed to
use with mutt mail client.

%lang_package

%prep
%setup -q

%build
autoreconf -fiv
export CFLAGS="%{optflags} -fgnu89-inline"
%configure
%make_build

%install
%make_install
%find_lang %{name}

%files
%doc AUTHORS BUGS ChangeLog FAQ NEWS README THANKS TODO sample.abookrc
%license COPYING
%{_bindir}/abook
%{_mandir}/man1/abook.*
%{_mandir}/man5/abookrc.*

%files lang -f %{name}.lang
%dir %{_datadir}/locale/*/LC_TIME

%changelog
* Mon Mar 16 2020 Wolfgang Rosenauer <wr@rosenauer.org>
- fix build by owning some directories
- clean up spec
* Wed May 23 2018 kbabioch@suse.com
- Use OpenPGP signature provided upstream
- Added abook.keyring, which contains the key from the author
* Mon Oct 26 2015 p.drouand@gmail.com
- Update to version 0.6.1
  * support for mouse
  * scrolling now affects the viewport instead of the cursor
  * support for a colored UI
  * added "groups" as a default field
  * the UI now supports merging selected entries [key M]
    and removing duplicates [key U]
  * a "custom" output filter allows the specification of an output
    format using placeholders
  * search-next is now bound to "/" too
  * some output filters can now be used in the context
    of --mutt-query. This is the case of "vcard" and "custom"
    [ no --query option has been created and --mutt-query is fully
    backward compatible ]
  * ldif output filter has been fixed [output modified] in multiple
    ways, does not force output to latin1 anymore and supports input
    from stdin.
  * vcard input/output support:
    An original input filter implementation was provided soon
    after 0.6.0pre2.
    In 2012, an optional build-time option to link against libvformat
    was added for the very same task: parsing vcard.
  - It depends on the --enable-vformat ./configure switch
  - It's only used as an input filter, especially useful to
    deal with multi-valued fields and encoded characters.
  * when the UI requests a confirmation from the user before a
    destructive operation it does not treat unknown key as "yes" anymore.
  * allcsv output changes:
  - header line uses lowercase
  - "MOBILEPHONE" column name changed to "mobile" (consistent w.r.t.
    standard_fields)
  - defined custom fields as well are part of the output now
- Remove abook_vcard_import.patch; fixed on upstream release
- Split out language files into their own package
- Add autoconf and automake dependencies; automake is required by
  the configure script itself and autoconf is needed to run
  autoreconf
* Thu Jun 18 2015 crrodriguez@opensuse.org
- Force GnU inline semantics, fix build with GCC5
- Do not use fstack-protector-all, but the builsystem default.
* Fri Dec  9 2011 coolo@suse.com
- COPYING says it's GPL-2.0+
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Use %%_smp_mflags for parallel build
* Tue Aug  9 2011 asn@cryptomilk.org
- add support for vcards
* Tue Dec 22 2009 wr@rosenauer.org
- use a hopefully better RPM group
* Thu Dec 18 2008 brandon@ifup.org
- Use %%{version} and make package version reflect upstream version
* Mon May  5 2008 wr@rosenauer.org
- revive abook with version 0.6.0pre2
